<mat-nav-list>
  <a mat-list-item routerLink="/signup" (click)="onClose()">
    <mat-icon>app_registration</mat-icon>
    <span class="nav-caption">Signup</span>
  </a>
  <a mat-list-item routerLink="/login" (click)="onClose()">
    <mat-icon>login</mat-icon>
    <span class="nav-caption">Login</span>
  </a>
  <a mat-list-item routerLink="/training" (click)="onClose()">
    <mat-icon>fitness_center</mat-icon>
    <span class="nav-caption">Training</span>
  </a>
  <mat-list-item>
    <button mat-icon-button (click)="onClose()">
      <mat-icon>logout</mat-icon>
      <span class="nav-caption">Logout</span>
    </button>
  </mat-list-item>
</mat-nav-list>
